﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;


namespace Magnetometer_Example
{
    public partial class ParameterInputBox : Form
    {
        public ParameterInputBox()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public ParameterInputBox(string param)
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
            textBox.Text = param;
        }

        public String parameters
        {
            get
            {
                return textBox.Text;
            }
        }

        private void calibratorLink_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                RegistryKey NetworkService22Key = Registry.LocalMachine.OpenSubKey
                        ("SYSTEM\\CurrentControlSet\\Services\\PhidgetWebservice21"); //this will need to change once we are on to phidget 22 permanently.
                if (NetworkService22Key == null)
                {
                    MessageBox.Show("You do not appear to have Phidget's libraries installed on your system.");
                }
                String path = (String)NetworkService22Key.GetValue("ImagePath");
                NetworkService22Key.Close();
                NetworkService22Key = null;
                path = path.Replace("\"", "");
                path = path.Substring(0, path.IndexOf("PhidgetWindowsService21.exe") - 1); //will need to change as well.
                path += "\\Examples";

                System.Diagnostics.Process prc = new System.Diagnostics.Process();
                prc.StartInfo.FileName = path;
                prc.Start();
            }
            catch { MessageBox.Show("You do not appear to have Phidget's libraries installed on your system."); }
        }
    }
}